## glite-lb-client 5.1.4

=== Makefile ===
# Default values
top_srcdir=..
stagedir=.
globalprefix=glite
lbprefix=lb
package=glite-lb-client
version=0.0.0
CC:=gcc
CXX:=g++

-include Makefile.inc
-include ${top_srcdir}/project/version.properties

version=${module.version}

# We must follow major version changes of org.glite.lb.common due to
# binary compatibility. However, we may live a life of our own, changing our
# major version more frequently. This variable specifies how many steps ahead
# we are (the number can be even negative).

VERSION_AHEAD=-3

# hacks needed for ETICS:
# - rpath out of installation directory ${PREFIX}
#   (the proper value is ${prefix}/${libdir})
# - installed *.la files should be removed
rpath?=${PREFIX}${prefix}/${libdir}

VPATH=${top_srcdir}/src:${top_srcdir}/interface:${top_srcdir}/test:${top_srcdir}/examples:${top_srcdir}/doc
AT3=${stagedir}${prefix}/sbin/glite-lb-at3
GENSAM=${top_srcdir}/examples/gen_sample_job
check_version_pl=$(shell sbin_dir=${stagedir}${prefix}/sbin; if test -f $${sbin_dir}/glite-lb-check_version.pl; then echo $${sbin_dir}; else echo ${prefix}/sbin; fi)/glite-lb-check_version.pl
CHECK_VERSION:=VERSION=${version} VERSION_AHEAD=${VERSION_AHEAD} perl ${check_version_pl}

SUFFIXES = .T .l

l_SRC = \
	chkpt.l \
	cleared.l \
	done.l \
	done_dag.l \
	done_subjob.l \
	ready.l \
	ready_dag.l \
	ready_subjob.l \
	running.l \
	running_dag.l \
	running_subjob.l \
	reallyrunning.l \
	scheduled.l \
	scheduled_dag.l \
	scheduled_subjob.l \
	submitted.l \
	submitted_dag.l \
	submitted_subjob.l \
	waiting.l \
	waiting_dag.l \
	waiting_subjob.l \
	failed_dag.l \
	failed_subjob.l \
	aborted.l \
	cancelled.l \
	cream_registered.l \
	cream_pending.l \
	cream_idle.l \
	cream_running.l \
	cream_reallyrunning.l \
	cream_done.l \
	cream_failed.l \
	submitted_ft_reg.l \
	running_ft.l \
	done_ft.l \
	aborted_ft.l \

# TODO: missing resubmission_deep
#	shallow_resub_complex.l shallow_resub_simple.l shallow_resub_simple2.l \
#	resubmission.l resubmitted.l


sh_PROGS = $(l_SRC:.l=.sh)

ifdef DEBUG
	DEBUG:=-g -O0 -Wall -DEDG_WLL_LOG_STUB
else
	DEBUG:=-g -O0 -Wall
endif

ifdef LB_STANDALONE
        LB_STANDALONE_FLAGS:=-DLB_STANDALONE
endif

ifdef LB_PERF
	LB_PERF_FLAGS:=-DLB_PERF
	LB_PERF_TOOLS:=perftest_logjobs perftest_jobreg
endif
COMMON_LIB_NOTHR:=-lglite_lb_common_${nothrflavour}
COMMON_LIB_THR:=-lglite_lb_common_${thrflavour}
COMMON_LIB:=-lglite_lb_common
TRIO_LIB:=-lglite_lbu_trio

CFLAGS:=${DEBUG} \
	-I. \
	-I${top_srcdir}/src -I${top_srcdir}/interface \
	-I${stagedir}${prefix}/include \
	${COVERAGE_FLAGS} \
	-DBUILDING_LB_CLIENT \
	-D_GNU_SOURCE ${LB_STANDALONE_FLAGS} ${LB_PERF_FLAGS} ${CFLAGS}

CXXFLAGS:=${CFLAGS}

EXT_LIB:=

CPPUNIT_LIBS?=-L${cppunit_prefix}/${libdir} -lcppunit
CPPUNIT_CFLAGS?=-I${cppunit_prefix}/include

LDFLAGS:=${LDFLAGS} -L${stagedir}${prefix}/${libdir} -L${PREFIX}${prefix}/${libdir} ${COVERAGE_FLAGS}

COMPILE:=libtool --mode=compile ${CC} ${CFLAGS}
CXXCOMPILE:=libtool --mode=compile ${CXX} ${CXXFLAGS}
LINK:=libtool --mode=link ${CC} ${LDFLAGS} 
LINKXX:=libtool --mode=link ${CXX} ${LDFLAGS}
INSTALL?=libtool --mode=install install

LIBOBJS:=connection.o consumer.o notification.o prod_proto.o \
	producer.o uiwrap.o statistics.o

PLUSOBJS:=Event.o Job.o JobStatus.o Notification.o ServerConnection.o stat_fields.o

HDRS:=consumer.h notification.h statistics.h prod_proto.h connection.h \
	Job.h Notification.h ServerConnection.h stat_fields.h
GEN_HDRS:=Event.h JobStatus.h producer.h

LIBTHROBJS:=${LIBOBJS:.o=.thr.o}
LIBLOBJS:=${LIBOBJS:.o=.lo}
LIBTHRLOBJS:=${LIBOBJS:.o=.thr.lo}

PLUSTHROBJS:=${PLUSOBJS:.o=.thr.o}
PLUSLOBJS:=${PLUSOBJS:.o=.lo}
PLUSTHRLOBJS:=${PLUSOBJS:.o=.thr.lo}

NOTHRLIB:=libglite_lb_client_${nothrflavour}.la
THRLIB:=libglite_lb_client_${thrflavour}.la
LIB:=libglite_lb_client.la
NOTHRPLUSLIB:=libglite_lb_clientpp_${nothrflavour}.la
THRPLUSLIB:=libglite_lb_clientpp_${thrflavour}.la
PLUSLIB:=libglite_lb_clientpp.la
ifeq (${thrflavour},)
c_LIBRARIES=${LIB}
plus_LIBRARIES=${PLUSLIB}
default_clientlib=${LIB}
default_clientpluslib=${PLUSLIB}
default_commonlib=${COMMON_LIB}
default_clientlib_thr=${LIB}
default_commonlib_thr=${COMMON_LIB}
else
c_LIBRARIES=${NOTHRLIB} ${THRLIB}
plus_LIBRARIES=${NOTHRPLUSLIB} ${THRPLUSLIB}
default_clientlib=${NOTHRLIB}
default_clientpluslib=${NOTHRPLUSLIB}
default_commonlib=${COMMON_LIB_NOTHR}
default_clientlib_thr=${THRLIB}
default_commonlib_thr=${COMMON_LIB_THR}
endif
lib_LTLIBRARIES=${c_LIBRARIES} ${plus_LIBRARIES}

TOOLS:=${LB_PERF_TOOLS}
EXAMPLES_SRC:=log_usertag_proxy.c job_log.c job_reg.c feed_shark.c query_ext.c query_seq_code.c stats.c stats-duration-fromto.c abort_job.c change_acl.c stresslog.c flood_proxy.c dagids.c stress_context.c parse_eventsfile.c test_changed_jdl.c done_failed_events.c
# sandbox_collection_reg_dummy.c
EXAMPLES:=${EXAMPLES_SRC:.c=}

# TODO: migrate them here from branch_RC31_3
# EXAMPLES_PLUS_SRC:=indexed_attrs_plus.cpp job_status_plus.cpp query_events_plus.cpp listener.cpp user_jobs_plus.cpp job_log_plus.cpp notify_plus.cpp
# EXAMPLES_PLUS:=${EXAMPLES_PLUS_SRC:.cpp=}

EXAMPLES_CL_SRC:=user_jobs.c job_status.c multiple_user_jobs.c
EXAMPLES_CL:=${EXAMPLES_CL_SRC:.c=}

EXAMPLES_CL_THR_SRC:=user_jobs_threaded.c job_status_threaded.c
EXAMPLES_CL_THR:=${EXAMPLES_CL_THR_SRC:.c=}

MAN_GZ:=glite-lb-logevent.1.gz glite-lb-notify.1.gz
MAN8_GZ:=glite-lb-dump.8.gz glite-lb-load.8.gz
MAN = $(MAN_GZ:.gz=)
MAN8 = $(MAN8_GZ:.gz=)

PLUS_EXTRA_LIB:=-lglite_jobid


# version_info=-version-info `echo ${version} | cut -d. -f1,2 | tr . :`

# counted minor versions: 1.0, 2.3, 3.2, 4.1
offset=6

version_info:=-version-info ${shell \
	perl -e '$$,=":"; @F=split "\\.","${version}"; print $$F[0]+$$F[1]+${offset},$$F[2],$$F[1]' }

ifeq (${project},emi)
m4dir=${PREFIX}${prefix}/share/emi/build/m4
else
m4dir=${PREFIX}${prefix}/share/build/m4
endif

ifdef LB_STANDALONE
compile all: generate ${c_LIBRARIES} ${TOOLS} logevent notify register_sandbox examples ${MAN_GZ} ${MAN8_GZ}
else
compile all: check_version generate ${lib_LTLIBRARIES} ${TOOLS} logevent notify register_sandbox examples ${MAN_GZ} ${MAN8_GZ}
endif

generate: ${GEN_HDRS}

default: all

ifeq (${thrflavour},)
${LIB}: ${LIBTHROBJS}
	${LINK} ${version_info} -o $@ ${LIBTHRLOBJS} -rpath ${rpath} \
			${COMMON_LIB} ${TRIO_LIB} \
			-lglite_security_gss

${PLUSLIB}: ${PLUSTHROBJS} ${LIB}
	${LINKXX} ${version_info} -o $@ ${PLUSTHRLOBJS} -rpath ${rpath} ${LIB} ${PLUS_EXTRA_LIB}
else
${NOTHRLIB}: ${LIBOBJS}
	${LINK} ${version_info} -o $@ ${LIBLOBJS} -rpath ${rpath} \
			${COMMON_LIB_NOTHR} ${TRIO_LIB} \
			-lglite_security_gss_${nothrflavour}

${THRLIB}: ${LIBTHROBJS}
	${LINK} ${version_info} -o $@ ${LIBTHRLOBJS} -rpath ${rpath} \
			${COMMON_LIB_THR} ${TRIO_LIB} \
			-lglite_security_gss_${thrflavour}

${NOTHRPLUSLIB}: ${PLUSOBJS} ${NOTHRLIB}
	${LINKXX} ${version_info} -o $@ ${PLUSLOBJS} -rpath ${rpath} ${NOTHRLIB} ${PLUS_EXTRA_LIB}

${THRPLUSLIB}: ${PLUSTHROBJS} ${THRLIB}
	${LINKXX} ${version_info} -o $@ ${PLUSTHRLOBJS} -rpath ${rpath} ${THRLIB} ${PLUS_EXTRA_LIB}
endif

logevent: logevent.o args.o
	${LINK} -o $@ logevent.o args.o ${default_clientlib} ${EXT_LIB} 

notify: notify.o
	${LINKXX} -o $@ notify.o ${default_clientpluslib} ${EXT_LIB} ${PLUS_EXTRA_LIB}

register_sandbox: %: %.o
	${LINK} -o $@ $@.o ${default_clientlib} ${EXT_LIB}

${TOOLS} ${EXAMPLES} ${EXAMPLES_CL}: %: %.o
	${LINK} -o $@ $< ${default_clientlib} ${default_commonlib} ${EXT_LIB} 

${EXAMPLES_CL_THR}: %: %.o
	${LINK} -o $@ $< ${default_clientlib_thr} ${default_commonlib_thr} ${EXT_LIB} -lpthread

${TOOLS}: ${default_clientlib}

${PLUSOBJS}: %.o: %.cpp
	${CXXCOMPILE} -c $<

${PLUSTHROBJS}: %.thr.o: %.cpp
	${CXXCOMPILE} -o $@ -c $<

${EXAMPLES_PLUS}: ${default_clientpluslib}

${EXAMPLES_PLUS}: %: %.o
	${LINKXX} -o $@ $< ${default_clientpluslib}

${LIBOBJS}: %.o: %.c
	${COMPILE} -c $<

${LIBTHROBJS}: %.thr.o: %.c
	${COMPILE} -o $@ -c $<

${MAN_GZ}: ${MAN}
	rm -f ${MAN_GZ} ${MAN}
	cp $? .
	gzip -9 -f $(notdir $?)

${MAN8_GZ}: ${MAN8}
	cp $? .
	gzip -9 -f $(notdir $?)

perftest_logjobs.o: perftest_logjobs.c
	${CC} ${CFLAGS} -DLB_PERF_DROP -c $<

# catches $TOOLS and logevent compilation
%.lo %.o: %.c
	${CC} ${CFLAGS} -c $<

%.h: %.h.T
	rm -f $@
	${AT3} $< >$@ || ( rm -f $@; false )
	chmod -w $@ >/dev/null

%.lo %.o: %.cpp
	${CXX} ${CFLAGS} ${GLOBUSINC} -c $<

%.c: %.c.T
	rm -f $@
	${AT3} $< >$@ || ( rm -f $@; false )
	chmod -w $@ >/dev/null

%.cpp: %.cpp.T
	rm -f $@
	${AT3} $< >$@ || ( rm -f $@; false )
	chmod -w $@ >/dev/null

%.sh: %.l gen_begin gen_sample_job
	rm -f $@
	-chmod +x ${GENSAM}
	$(GENSAM) $< >$@ || rm -f $@
	chmod -w,+x $@ > /dev/null

examples: ${EXAMPLES} ${EXAMPLES_PLUS} ${EXAMPLES_CL} ${EXAMPLES_CL_THR} ${sh_PROGS}

check: compile 
# shut up check.producer

check.producer: producer_test
	./producer_test

producer_test: producer_test.o prod_proto_test.o
	${LINKXX} -o $@ ${default_clientlib} ${CPPUNIT_LIBS} $+ ${EXT_LIB}

producer_test.o: %.o: %.cpp
	${CXX} -c ${CXXFLAGS} ${CPPUNIT_CFLAGS} $<

man: ${MAN_GZ} ${MAN8_GZ}

stage:  compile
	$(MAKE) install PREFIX=${stagedir} staging=1

link:
	-ln -s ${top_srcdir}/src/EventAttrNames.pl .
	-ln -s ${top_srcdir}/src/StatusAttrNames.pl .
	-ln -s ${top_srcdir}/src/uiwrap.T .

Event.h Event.cpp: link

JobStatus.h JobStatus.cpp: StatusAttrNames.pl

#EventAttrNames.pl:
#	rm -f $@
#	ln -s ${stagedir}${prefix}/share/perl/gLite/LB/$@ $@

dist: distsrc distbin

install:
	mkdir -p ${DESTDIR}${PREFIX}${prefix}/bin
	mkdir -p ${DESTDIR}${PREFIX}${prefix}/sbin
	mkdir -p ${DESTDIR}${PREFIX}${prefix}/include/${globalprefix}/${lbprefix}
	mkdir -p ${DESTDIR}${PREFIX}${prefix}/${libdir}
	mkdir -p ${DESTDIR}${PREFIX}${prefix}/share/doc/${package}-${version}/examples/
	mkdir -p ${DESTDIR}${PREFIX}${prefix}/share/man/man1
	mkdir -p ${DESTDIR}${PREFIX}${prefix}/${libdir}/glite-lb/examples
	mkdir -p ${DESTDIR}${PREFIX}${prefix}/share/man/man8
	mkdir -p ${DESTDIR}${m4dir}
ifdef LB_STANDALONE
	${INSTALL} -m 755 ${c_LIBRARIES} ${DESTDIR}${PREFIX}${prefix}/${libdir}
else
	${INSTALL} -m 755 ${lib_LTLIBRARIES} ${DESTDIR}${PREFIX}${prefix}/${libdir}
	if test -n "${staging}"; then \
		install -m 755 ${plus_LIBRARIES} ${DESTDIR}${PREFIX}${prefix}/${libdir}; \
	fi
endif
	${INSTALL} -m 644 ${top_srcdir}/LICENSE ${DESTDIR}${PREFIX}${prefix}/share/doc/${package}-${version}
	( cd ${top_srcdir}/project && ${INSTALL} -m 644 ChangeLog package.description package.summary ${DESTDIR}${PREFIX}${prefix}/share/doc/${package}-${version} )
	${INSTALL} -m 644 ${top_srcdir}/doc/README-notify ${DESTDIR}${PREFIX}${prefix}/share/doc/${package}-${version}
	(cd ${top_srcdir}/interface && ${INSTALL} -m 644 ${HDRS} ${DESTDIR}${PREFIX}${prefix}/include/${globalprefix}/${lbprefix}) 
	${INSTALL} -m 644 ${GEN_HDRS} ${DESTDIR}${PREFIX}${prefix}/include/${globalprefix}/${lbprefix} 
ifndef LB_STANDALONE
#	cp -r C CPP ${DESTDIR}${PREFIX}${prefix}/share/doc/${package}-${version}
#       cp -r ${top_srcdir}/doc/api/{Makefile,api.tex,fig} ${DESTDIR}${PREFIX}${prefix}/share/doc/${package}-${version}/api
endif
	for p in logevent notify register_sandbox; do \
		${INSTALL} -m 755 "$$p" "${DESTDIR}${PREFIX}${prefix}/bin/glite-lb-$$p"; \
	done
	for p in ${TOOLS} ; do \
		${INSTALL} -m 755 "$$p" "${DESTDIR}${PREFIX}${prefix}/sbin/glite-lb-$$p"; \
	done
	for p in ${EXAMPLES} ${EXAMPLES_PLUS} ${EXAMPLES_CL} ${EXAMPLES_CL_THR} ${sh_PROGS} ; do \
		${INSTALL} -m 755 "$$p" "${DESTDIR}${PREFIX}${prefix}/${libdir}/glite-lb/examples/glite-lb-$$p"; \
	done
	for p in ${EXAMPLES_SRC} ${EXAMPLES_PLUS_SRC} ${EXAMPLES_CL_SRC} ${EXAMPLES_CL_THR_SRC} ; do \
		${INSTALL} -m 644 "${top_srcdir}/examples/$$p" "${DESTDIR}${PREFIX}${prefix}/share/doc/${package}-${version}/examples/"; \
	done
	${INSTALL} -m 644 ${top_srcdir}/examples/Makefile "${DESTDIR}${PREFIX}${prefix}/share/doc/${package}-${version}/examples/"
	${INSTALL} -m 644 ${top_srcdir}/examples/README.examples "${DESTDIR}${PREFIX}${prefix}/share/doc/${package}-${version}/examples/"
	${INSTALL} -m 755 ${top_srcdir}/src/export.sh "${DESTDIR}${PREFIX}${prefix}/sbin/glite-lb-export.sh"

=== examples/Makefile ===
glite_location:=${GLITE_LOCATION}
glite_prefix:=${glite_location}

host_cpu:=${shell uname -m}
ifeq (${host_cpu},x86_64)
	LDFLAGS:=-L${glite_prefix}/lib64 -L${glite_prefix}/lib
	nothrflavour=gcc64dbg
	thrflavour=gcc64dbgpthr
else
	LDFLAGS:=-L${glite_prefix}/lib
	nothrflavour=gcc32dbg
	thrflavour=gcc32dbgpthr
endif

CC:=gcc
CXX:=g++

COMMON_LIB:=-lglite_lb_common_${nothrflavour}
COMMON_LIB_THR:=-lglite_lb_common_${thrflavour}
CLIENT_LIB:=-lglite_lb_client_${nothrflavour}
CLIENT_LIB_THR:=-lglite_lb_client_${thrflavour}
JOBID_LIB:=-lglite_jobid

LIB:=${COMMON_LIB} ${CLIENT_LIB} ${JOBID_LIB}
LIB_THR:=${COMMON_LIB_THR} ${CLIENT_LIB_THR} ${JOBID_LIB}
PLUSLIB:=
PLUSLIB_THR:=

CFLAGS:=${DEBUG} \
	-I${glite_prefix}/include \
	-D_GNU_SOURCE 

CXXFLAGS:=${CFLAGS}

COMPILE:=libtool --mode=compile ${CC} ${CFLAGS}
CXXCOMPILE:=libtool --mode=compile ${CXX} ${CXXFLAGS}
LINK:=libtool --mode=link ${CC} ${LDFLAGS} 
LINKXX:=libtool --mode=link ${CXX} ${LDFLAGS}
INSTALL:=libtool --mode=install install

EXAMPLES_SRC:=log_usertag_proxy.c job_log.c job_reg.c feed_shark.c query_ext.c query_seq_code.c stats.c abort_job.c change_acl.c stresslog.c flood_proxy.c dagids.c stress_context.c parse_eventsfile.c user_jobs.c job_status.c
EXAMPLES:=${EXAMPLES_SRC:.c=}

# TODO: migrate them here from branch_RC31_3
# EXAMPLES_PLUS_SRC:=indexed_attrs_plus.cpp job_status_plus.cpp query_events_plus.cpp listener.cpp user_jobs_plus.cpp job_log_plus.cpp notify_plus.cpp
# EXAMPLES_PLUS:=${EXAMPLES_PLUS_SRC:.cpp=}
# EXAMPLES_PLUS_THR_SRC:=
# EXAMPLES_PLUS_THR:=${EXAMPLES_PLUS_THR_SRC:.cpp=}

EXAMPLES_THR_SRC:=user_jobs_threaded.c
EXAMPLES_THR:=${EXAMPLES_CL_THR_SRC:.c=}

default all: examples

examples: ${EXAMPLES} ${EXAMPLES_THR} ${EXAMPLES_PLUS} ${EXAMPLES_PLUS_THR}

${EXAMPLES}: %: %.o
	${LINK} -o $@ $< ${LIB}

${EXAMPLES_THR}: %: %.o
	${LINK} -o $@ $< ${LIB_THR}

${EXAMPLES_PLUS}: %: %.o
	${LINKXX} -o $@ $< ${PLUSLIB}

${EXAMPLES_PLUS_THR}: %: %.o
	${LINKXX} -o $@ $< ${PLUSLIB_THR}

# catches $TOOLS and logevent compilation
%.o: %.c 
	${CC} ${CFLAGS} -c $<

%.o: %.cpp
	${CXX} ${CXXFLAGS} -c $<

clean:
	rm -rvf ${EXAMPLES} ${EXAMPLES_CL} ${EXAMPLES_CL_THR} 
	rm -rvf *.o .libs/

=== debian/changelog ===
glite-lb-client (5.1.4-1) unstable; urgency=low

  * Automatically generated package

 -- CESNET Product Teams <emi-lb@metacentrum.cz>  Tue, 01 May 2012 21:46:13 +0200

=== debian/control ===
Source: glite-lb-client
Priority: extra
Maintainer: CESNET Product Teams <emi-lb@metacentrum.cz>
Uploaders: František Dvořák <valtri@civ.zcu.cz>
Build-Depends: debhelper (>= 7.0.50~), chrpath, libtool, libclassad1, libclassad-dev, glite-lb-types, libglite-jobid-api-c-dev, libglite-jobid-api-cpp-dev, libglite-lb-common-dev, libglite-lbjp-common-gss-dev, libglite-lbjp-common-trio-dev
Standards-Version: 3.9.1
Section: libs
Homepage: http://glite.cern.ch
DM-Upload-Allowed: yes
Vcs-Cvs: :pserver:anonymous@jra1mw.cvs.cern.ch:/cvs/jra1mw
Vcs-Browser: http://jra1mw.cvs.cern.ch/cgi-bin/jra1mw.cgi

Package: libglite-lb-client11
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: gLite Logging and Bookkeeping client library and CLI tools
 glite-lb-client is the library implementing client side of gLite LB API. This
 package contains the library, client tools and many
 examples.

Package: libglite-lb-client-dev
Section: libdevel
Architecture: any
Provides: glite-lb-client
Depends: libglite-lb-client11 (= ${binary:Version}), ${misc:Depends}, libglite-lb-common-dev, libglite-jobid-api-c-dev, libglite-jobid-api-cpp-dev
Description: Development files for gLite L&B/JP common log module
 This package contains development libraries and header files for gLite L&B
 client library.

Package: glite-lb-client-progs
Section: misc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: gLite L&B client programs and examples
 This package contains client programs and examples for gLite L&B.

Package: glite-lb-client-dbg
Section: debug
Architecture: any
Priority: extra
Depends: libglite-lb-client11 (= ${binary:Version}), ${misc:Depends}
Description: gLite L&B client library debugging symbols
 This package contains debugging symbols for gLite L&B client library.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

-include /usr/share/dpkg/buildflags.mk

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

configure: configure-stamp
configure-stamp:
	dh_testdir
	/usr/bin/perl ./configure --thrflavour= --nothrflavour= --root=/ --prefix=/usr --libdir=lib --project=emi --module lb.client
	touch $@

build: build-arch build-indep

build-arch build-indep: build-stamp

build-stamp: configure-stamp
	dh_testdir
	CFLAGS="$(CFLAGS) $(CPPFLAGS)" LDFLAGS="$(LDFLAGS)" $(MAKE)
	CFLAGS="$(CFLAGS) $(CPPFLAGS)" LDFLAGS="$(LDFLAGS)" $(MAKE) check
	touch $@

clean: configure-stamp
	dh_testdir
	dh_testroot
	rm -f configure-stamp build-stamp
	$(MAKE) clean
	rm -f Makefile.inc config.status
	dh_clean

install: build-stamp
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
	rm -vf $(CURDIR)/debian/tmp/usr/lib/*.la
	rm -vf $(CURDIR)/debian/tmp/usr/lib/*.a
	find $(CURDIR)/debian/tmp -name '*' -print | xargs -I {} -i bash -c "chrpath -d {} > /dev/null 2>&1" || echo 'Stripped RPATH'
	mv $(CURDIR)/debian/tmp/usr/share/doc/glite-lb-client-5.1.4 $(CURDIR)/debian/tmp/usr/share/doc/glite-lb-client
	(cd $(CURDIR)/debian/tmp/usr/share/doc/glite-lb-client; \
	 rm -fv ChangeLog LICENSE; \
	 cat $(CURDIR)/project/ChangeLog | gzip -9 > changelog.gz)

binary-indep:

binary-arch: install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_installexamples
	dh_installman
	dh_installlogrotate
	dh_installcron
	dh_install --fail-missing
	dh_link
	dh_strip --dbg-package=glite-lb-client-dbg
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-arch binary-indep

## glite-lb-client 5.1.5

=== Makefile ===
--- 
+++ 
@@ -237,19 +237,19 @@
 endif
 
 logevent: logevent.o args.o
-	${LINK} -o $@ logevent.o args.o ${default_clientlib} ${EXT_LIB} 
+	${LINK} -o $@ logevent.o args.o ${default_clientlib} ${EXT_LIB} ${PLUS_EXTRA_LIB} -lm
 
 notify: notify.o
-	${LINKXX} -o $@ notify.o ${default_clientpluslib} ${EXT_LIB} ${PLUS_EXTRA_LIB}
+	${LINK} -o $@ notify.o ${default_clientpluslib} ${EXT_LIB} ${PLUS_EXTRA_LIB}
 
 register_sandbox: %: %.o
-	${LINK} -o $@ $@.o ${default_clientlib} ${EXT_LIB}
+	${LINK} -o $@ $@.o ${default_clientlib} ${EXT_LIB} ${PLUS_EXTRA_LIB}
 
 ${TOOLS} ${EXAMPLES} ${EXAMPLES_CL}: %: %.o
-	${LINK} -o $@ $< ${default_clientlib} ${default_commonlib} ${EXT_LIB} 
+	${LINK} -o $@ $< ${default_clientlib} ${default_commonlib} ${EXT_LIB} ${PLUS_EXTRA_LIB}
 
 ${EXAMPLES_CL_THR}: %: %.o
-	${LINK} -o $@ $< ${default_clientlib_thr} ${default_commonlib_thr} ${EXT_LIB} -lpthread
+	${LINK} -o $@ $< ${default_clientlib_thr} ${default_commonlib_thr} ${EXT_LIB} ${PLUS_EXTRA_LIB} -lpthread
 
 ${TOOLS}: ${default_clientlib}
 
@@ -385,4 +385,3 @@
 	done
 	${INSTALL} -m 644 ${top_srcdir}/examples/Makefile "${DESTDIR}${PREFIX}${prefix}/share/doc/${package}-${version}/examples/"
 	${INSTALL} -m 644 ${top_srcdir}/examples/README.examples "${DESTDIR}${PREFIX}${prefix}/share/doc/${package}-${version}/examples/"
-	${INSTALL} -m 755 ${top_srcdir}/src/export.sh "${DESTDIR}${PREFIX}${prefix}/sbin/glite-lb-export.sh"

=== debian/changelog ===
glite-lb-client (5.1.5-1) unstable; urgency=low

  * Automatically generated package

 -- CESNET Product Teams <emi-lb@metacentrum.cz>  Thu, 26 Jul 2012 12:25:12 +0200

=== debian/rules ===
--- 
+++ 
@@ -39,7 +39,7 @@
 	rm -vf $(CURDIR)/debian/tmp/usr/lib/*.la
 	rm -vf $(CURDIR)/debian/tmp/usr/lib/*.a
 	find $(CURDIR)/debian/tmp -name '*' -print | xargs -I {} -i bash -c "chrpath -d {} > /dev/null 2>&1" || echo 'Stripped RPATH'
-	mv $(CURDIR)/debian/tmp/usr/share/doc/glite-lb-client-5.1.4 $(CURDIR)/debian/tmp/usr/share/doc/glite-lb-client
+	mv $(CURDIR)/debian/tmp/usr/share/doc/glite-lb-client-5.1.5 $(CURDIR)/debian/tmp/usr/share/doc/glite-lb-client
 	(cd $(CURDIR)/debian/tmp/usr/share/doc/glite-lb-client; \
 	 rm -fv ChangeLog LICENSE; \
 	 cat $(CURDIR)/project/ChangeLog | gzip -9 > changelog.gz)

## glite-lb-client 5.2.1

=== Makefile ===
--- 
+++ 
@@ -8,6 +8,8 @@
 CC:=gcc
 CXX:=g++
 
+default: all
+
 -include Makefile.inc
 -include ${top_srcdir}/project/version.properties
 
@@ -33,6 +35,17 @@
 CHECK_VERSION:=VERSION=${version} VERSION_AHEAD=${VERSION_AHEAD} perl ${check_version_pl}
 
 SUFFIXES = .T .l
+
+SOURCES = \
+	doc/* \
+	examples/*.c examples/*.l examples/*.sh examples/Makefile examples/README.examples \
+	interface/*.h interface/*.h.T \
+	m4/*.m4 \
+	project/.post* \
+	src/*.c src/*.h src/*.T src/*.pl src/*.cpp \
+	test/*.c test/*.cpp test/*.T test/PLOT test/TEST \
+	LICENSE Makefile
+SOURCES_EXEC=examples/gen_* examples/*.pl examples/*.sh src/*.sh test/TEST
 
 l_SRC = \
 	chkpt.l \
@@ -98,13 +111,16 @@
 COMMON_LIB:=-lglite_lb_common
 TRIO_LIB:=-lglite_lbu_trio
 
+GLITE_LBJP_COMMON_GSS_CFLAGS?=`PKG_CONFIG_PATH=$$PKG_CONFIG_PATH:${PREFIX}${prefix}/${libdir}/pkgconfig pkg-config glite-security-gss --cflags`
+
 CFLAGS:=${DEBUG} \
 	-I. \
 	-I${top_srcdir}/src -I${top_srcdir}/interface \
 	-I${stagedir}${prefix}/include \
 	${COVERAGE_FLAGS} \
 	-DBUILDING_LB_CLIENT \
-	-D_GNU_SOURCE ${LB_STANDALONE_FLAGS} ${LB_PERF_FLAGS} ${CFLAGS}
+	-D_GNU_SOURCE ${LB_STANDALONE_FLAGS} ${LB_PERF_FLAGS} \
+	${GLITE_LBJP_COMMON_GSS_CFLAGS} ${CFLAGS}
 
 CXXFLAGS:=${CFLAGS}
 
@@ -172,7 +188,7 @@
 # EXAMPLES_PLUS_SRC:=indexed_attrs_plus.cpp job_status_plus.cpp query_events_plus.cpp listener.cpp user_jobs_plus.cpp job_log_plus.cpp notify_plus.cpp
 # EXAMPLES_PLUS:=${EXAMPLES_PLUS_SRC:.cpp=}
 
-EXAMPLES_CL_SRC:=user_jobs.c job_status.c multiple_user_jobs.c
+EXAMPLES_CL_SRC:=user_jobs.c job_status.c multiple_user_jobs.c qstat.c
 EXAMPLES_CL:=${EXAMPLES_CL_SRC:.c=}
 
 EXAMPLES_CL_THR_SRC:=user_jobs_threaded.c job_status_threaded.c
@@ -207,8 +223,6 @@
 endif
 
 generate: ${GEN_HDRS}
-
-default: all
 
 ifeq (${thrflavour},)
 ${LIB}: ${LIBTHROBJS}
@@ -341,8 +355,6 @@
 #EventAttrNames.pl:
 #	rm -f $@
 #	ln -s ${stagedir}${prefix}/share/perl/gLite/LB/$@ $@
-
-dist: distsrc distbin
 
 install:
 	mkdir -p ${DESTDIR}${PREFIX}${prefix}/bin
@@ -378,10 +390,3 @@
 		${INSTALL} -m 755 "$$p" "${DESTDIR}${PREFIX}${prefix}/sbin/glite-lb-$$p"; \
 	done
 	for p in ${EXAMPLES} ${EXAMPLES_PLUS} ${EXAMPLES_CL} ${EXAMPLES_CL_THR} ${sh_PROGS} ; do \
-		${INSTALL} -m 755 "$$p" "${DESTDIR}${PREFIX}${prefix}/${libdir}/glite-lb/examples/glite-lb-$$p"; \
-	done
-	for p in ${EXAMPLES_SRC} ${EXAMPLES_PLUS_SRC} ${EXAMPLES_CL_SRC} ${EXAMPLES_CL_THR_SRC} ; do \
-		${INSTALL} -m 644 "${top_srcdir}/examples/$$p" "${DESTDIR}${PREFIX}${prefix}/share/doc/${package}-${version}/examples/"; \
-	done
-	${INSTALL} -m 644 ${top_srcdir}/examples/Makefile "${DESTDIR}${PREFIX}${prefix}/share/doc/${package}-${version}/examples/"
-	${INSTALL} -m 644 ${top_srcdir}/examples/README.examples "${DESTDIR}${PREFIX}${prefix}/share/doc/${package}-${version}/examples/"

=== debian/changelog ===
glite-lb-client (5.2.1-0head.2) stable; urgency=low

  * Automatically generated package

 -- CESNET Product Teams <emi-lb@metacentrum.cz>  Tue, 14 Aug 2012 19:22:31 +0200

=== debian/rules ===
--- 
+++ 
@@ -39,7 +39,7 @@
 	rm -vf $(CURDIR)/debian/tmp/usr/lib/*.la
 	rm -vf $(CURDIR)/debian/tmp/usr/lib/*.a
 	find $(CURDIR)/debian/tmp -name '*' -print | xargs -I {} -i bash -c "chrpath -d {} > /dev/null 2>&1" || echo 'Stripped RPATH'
-	mv $(CURDIR)/debian/tmp/usr/share/doc/glite-lb-client-5.1.5 $(CURDIR)/debian/tmp/usr/share/doc/glite-lb-client
+	mv $(CURDIR)/debian/tmp/usr/share/doc/glite-lb-client-5.2.1 $(CURDIR)/debian/tmp/usr/share/doc/glite-lb-client
 	(cd $(CURDIR)/debian/tmp/usr/share/doc/glite-lb-client; \
 	 rm -fv ChangeLog LICENSE; \
 	 cat $(CURDIR)/project/ChangeLog | gzip -9 > changelog.gz)

## glite-lb-client 6.0.5

=== Makefile ===
--- 
+++ 
@@ -29,9 +29,9 @@
 rpath?=${PREFIX}${prefix}/${libdir}
 
 VPATH=${top_srcdir}/src:${top_srcdir}/interface:${top_srcdir}/test:${top_srcdir}/examples:${top_srcdir}/doc
-AT3=${stagedir}${prefix}/sbin/glite-lb-at3
+AT3=${stagedir}${prefix}/bin/glite-lb-at3
 GENSAM=${top_srcdir}/examples/gen_sample_job
-check_version_pl=$(shell sbin_dir=${stagedir}${prefix}/sbin; if test -f $${sbin_dir}/glite-lb-check_version.pl; then echo $${sbin_dir}; else echo ${prefix}/sbin; fi)/glite-lb-check_version.pl
+check_version_pl=$(shell bin_dir=${stagedir}${prefix}/bin; if test -f $${bin_dir}/glite-lb-check_version.pl; then echo $${bin_dir}; else echo ${prefix}/bin; fi)/glite-lb-check_version.pl
 CHECK_VERSION:=VERSION=${version} VERSION_AHEAD=${VERSION_AHEAD} perl ${check_version_pl}
 
 SUFFIXES = .T .l
@@ -44,7 +44,7 @@
 	project/.post* \
 	src/*.c src/*.h src/*.T src/*.pl src/*.cpp \
 	test/*.c test/*.cpp test/*.T test/PLOT test/TEST \
-	LICENSE Makefile
+	Makefile
 SOURCES_EXEC=examples/gen_* examples/*.pl examples/*.sh src/*.sh test/TEST
 
 l_SRC = \
@@ -195,17 +195,15 @@
 EXAMPLES_CL_THR:=${EXAMPLES_CL_THR_SRC:.c=}
 
 MAN_GZ:=glite-lb-logevent.1.gz glite-lb-notify.1.gz
-MAN8_GZ:=glite-lb-dump.8.gz glite-lb-load.8.gz
 MAN = $(MAN_GZ:.gz=)
-MAN8 = $(MAN8_GZ:.gz=)
 
 PLUS_EXTRA_LIB:=-lglite_jobid
 
 
 # version_info=-version-info `echo ${version} | cut -d. -f1,2 | tr . :`
 
-# counted minor versions: 1.0, 2.3, 3.2, 4.1
-offset=6
+# counted minor versions: 1.0, 2.3, 3.2, 4.1, 5.2
+offset=8
 
 version_info:=-version-info ${shell \
 	perl -e '$$,=":"; @F=split "\\.","${version}"; print $$F[0]+$$F[1]+${offset},$$F[2],$$F[1]' }
@@ -217,9 +215,9 @@
 endif
 
 ifdef LB_STANDALONE
-compile all: generate ${c_LIBRARIES} ${TOOLS} logevent notify register_sandbox examples ${MAN_GZ} ${MAN8_GZ}
-else
-compile all: check_version generate ${lib_LTLIBRARIES} ${TOOLS} logevent notify register_sandbox examples ${MAN_GZ} ${MAN8_GZ}
+compile all: generate ${c_LIBRARIES} ${TOOLS} logevent notify register_sandbox examples ${MAN_GZ}
+else
+compile all: check_version generate ${lib_LTLIBRARIES} ${TOOLS} logevent notify register_sandbox examples ${MAN_GZ}
 endif
 
 generate: ${GEN_HDRS}
@@ -289,10 +287,6 @@
 	cp $? .
 	gzip -9 -f $(notdir $?)
 
-${MAN8_GZ}: ${MAN8}
-	cp $? .
-	gzip -9 -f $(notdir $?)
-
 perftest_logjobs.o: perftest_logjobs.c
 	${CC} ${CFLAGS} -DLB_PERF_DROP -c $<
 
@@ -338,7 +332,7 @@
 producer_test.o: %.o: %.cpp
 	${CXX} -c ${CXXFLAGS} ${CPPUNIT_CFLAGS} $<
 
-man: ${MAN_GZ} ${MAN8_GZ}
+man: ${MAN_GZ}
 
 stage:  compile
 	$(MAKE) install PREFIX=${stagedir} staging=1
@@ -364,7 +358,6 @@
 	mkdir -p ${DESTDIR}${PREFIX}${prefix}/share/doc/${package}-${version}/examples/
 	mkdir -p ${DESTDIR}${PREFIX}${prefix}/share/man/man1
 	mkdir -p ${DESTDIR}${PREFIX}${prefix}/${libdir}/glite-lb/examples
-	mkdir -p ${DESTDIR}${PREFIX}${prefix}/share/man/man8
 	mkdir -p ${DESTDIR}${m4dir}
 ifdef LB_STANDALONE
 	${INSTALL} -m 755 ${c_LIBRARIES} ${DESTDIR}${PREFIX}${prefix}/${libdir}
@@ -374,8 +367,6 @@
 		install -m 755 ${plus_LIBRARIES} ${DESTDIR}${PREFIX}${prefix}/${libdir}; \
 	fi
 endif
-	${INSTALL} -m 644 ${top_srcdir}/LICENSE ${DESTDIR}${PREFIX}${prefix}/share/doc/${package}-${version}
-	( cd ${top_srcdir}/project && ${INSTALL} -m 644 ChangeLog package.description package.summary ${DESTDIR}${PREFIX}${prefix}/share/doc/${package}-${version} )
 	${INSTALL} -m 644 ${top_srcdir}/doc/README-notify ${DESTDIR}${PREFIX}${prefix}/share/doc/${package}-${version}
 	(cd ${top_srcdir}/interface && ${INSTALL} -m 644 ${HDRS} ${DESTDIR}${PREFIX}${prefix}/include/${globalprefix}/${lbprefix}) 
 	${INSTALL} -m 644 ${GEN_HDRS} ${DESTDIR}${PREFIX}${prefix}/include/${globalprefix}/${lbprefix} 
@@ -390,3 +381,9 @@
 		${INSTALL} -m 755 "$$p" "${DESTDIR}${PREFIX}${prefix}/sbin/glite-lb-$$p"; \
 	done
 	for p in ${EXAMPLES} ${EXAMPLES_PLUS} ${EXAMPLES_CL} ${EXAMPLES_CL_THR} ${sh_PROGS} ; do \
+		${INSTALL} -m 755 "$$p" "${DESTDIR}${PREFIX}${prefix}/${libdir}/glite-lb/examples/glite-lb-$$p"; \
+	done
+	for p in ${EXAMPLES_SRC} ${EXAMPLES_PLUS_SRC} ${EXAMPLES_CL_SRC} ${EXAMPLES_CL_THR_SRC} ; do \
+		${INSTALL} -m 644 "${top_srcdir}/examples/$$p" "${DESTDIR}${PREFIX}${prefix}/share/doc/${package}-${version}/examples/"; \
+	done
+	${INSTALL} -m 644 ${top_srcdir}/examples/Makefile "${DESTDIR}${PREFIX}${prefix}/share/doc/${package}-${version}/examples/"

=== debian/changelog ===
glite-lb-client (6.0.5-1) stable; urgency=low

  * Automatically generated package

 -- CESNET Product Teams <emi-lb@metacentrum.cz>  Fri, 25 Jan 2013 17:19:32 +0100

=== debian/control ===
Source: glite-lb-client
Priority: extra
Maintainer: CESNET Product Teams <emi-lb@metacentrum.cz>
Uploaders: František Dvořák <valtri@civ.zcu.cz>
Build-Depends: debhelper (>= 7.0.50~), chrpath, libtool, libclassad0-dev | libclassad-dev, glite-lb-types, libglite-jobid-api-c-dev, libglite-jobid-api-cpp-dev, libglite-lb-common-dev, libglite-lbjp-common-gss-dev, libglite-lbjp-common-trio-dev, pkg-config
Standards-Version: 3.9.1
Section: libs
Homepage: http://glite.cern.ch
DM-Upload-Allowed: yes
Vcs-Cvs: :pserver:anonymous@jra1mw.cvs.cern.ch:/cvs/jra1mw
Vcs-Browser: http://jra1mw.cvs.cern.ch/cgi-bin/jra1mw.cgi

Package: libglite-lb-client14
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: gLite Logging and Bookkeeping client library and CLI tools
 glite-lb-client is the library implementing client side of gLite LB API. This
 package contains the library, client tools and many
 examples.

Package: libglite-lb-client-dev
Section: libdevel
Architecture: any
Provides: glite-lb-client
Depends: libglite-lb-client14 (= ${binary:Version}), ${misc:Depends}, libglite-lb-common-dev, libglite-jobid-api-c-dev, libglite-jobid-api-cpp-dev
Description: Development files for gLite L&B/JP common log module
 This package contains development libraries and header files for gLite L&B
 client library.

Package: glite-lb-client-progs
Section: misc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: gLite L&B client programs and examples
 This package contains client programs and examples for gLite L&B.

Package: glite-lb-client-dbg
Section: debug
Architecture: any
Priority: extra
Depends: libglite-lb-client14 (= ${binary:Version}), ${misc:Depends}
Description: gLite L&B client library debugging symbols
 This package contains debugging symbols for gLite L&B client library.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

-include /usr/share/dpkg/buildflags.mk

p_dbg=glite-lb-client-dbg
p_dev=libglite-lb-client-dev
p_lib=libglite-lb-client14
p_progs=glite-lb-client-progs

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

configure: configure-stamp
configure-stamp:
	dh_testdir
	/usr/bin/perl ./configure --thrflavour= --nothrflavour= --root=/ --prefix=/usr --libdir=lib --project=emi --module lb.client
	touch $@

build: build-arch build-indep

build-arch build-indep: build-stamp

build-stamp: configure-stamp
	dh_testdir
	CFLAGS="$(CFLAGS) $(CPPFLAGS)" LDFLAGS="$(LDFLAGS)" $(MAKE)
	CFLAGS="$(CFLAGS) $(CPPFLAGS)" LDFLAGS="$(LDFLAGS)" $(MAKE) check
	touch $@

clean: configure-stamp
	dh_testdir
	dh_testroot
	rm -f configure-stamp build-stamp
	$(MAKE) clean
	rm -f Makefile.inc config.status *.spec
	dh_clean

install: build-stamp
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
	rm -vf debian/tmp/usr/lib/*.la
	find debian/tmp -name '*' -print | xargs -I {} -i bash -c "chrpath -d {} > /dev/null 2>&1" || echo 'Stripped RPATH'
	mkdir -p debian/$(p_dbg)/usr/share/doc/$(p_dbg)
	mkdir -p debian/$(p_dev)/usr/share/doc/$(p_dev)
	mkdir -p debian/$(p_progs)/usr/share/doc/$(p_progs)
	ln -s $(p_lib) debian/$(p_dbg)/usr/share/doc/$(p_dbg)
	mv debian/tmp/usr/share/doc/glite-lb-client-6.0.5/examples debian/$(p_dev)/usr/share/doc/$(p_dev)
	mv debian/tmp/usr/share/doc/glite-lb-client-6.0.5/README-notify debian/$(p_progs)/usr/share/doc/$(p_progs)
	rm -rf debian/tmp/usr/share/doc/glite-lb-client-6.0.5

binary-indep:

binary-arch: install
	dh_testdir
	dh_testroot
	dh_installchangelogs project/ChangeLog
	dh_installdocs
	dh_installexamples
	dh_installman
	dh_installlogrotate
	dh_installcron
	dh_install --fail-missing
	dh_link
	dh_strip --dbg-package=$(p_dbg)
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-arch binary-indep

## glite-lb-client 6.0.7

=== Makefile ===
--- 
+++ 
@@ -168,6 +168,8 @@
 default_commonlib=${COMMON_LIB}
 default_clientlib_thr=${LIB}
 default_commonlib_thr=${COMMON_LIB}
+default_gsslib=-lglite_security_gss
+default_gsslib_thr=-lglite_security_gss
 else
 c_LIBRARIES=${NOTHRLIB} ${THRLIB}
 plus_LIBRARIES=${NOTHRPLUSLIB} ${THRPLUSLIB}
@@ -176,6 +178,8 @@
 default_commonlib=${COMMON_LIB_NOTHR}
 default_clientlib_thr=${THRLIB}
 default_commonlib_thr=${COMMON_LIB_THR}
+default_gsslib=-lglite_security_gss_${nothrflavour}
+default_gsslib_thr=-lglite_security_gss_${nothrflavour}
 endif
 lib_LTLIBRARIES=${c_LIBRARIES} ${plus_LIBRARIES}
 
@@ -249,19 +253,19 @@
 endif
 
 logevent: logevent.o args.o
-	${LINK} -o $@ logevent.o args.o ${default_clientlib} ${EXT_LIB} ${PLUS_EXTRA_LIB} -lm
+	${LINK} -o $@ logevent.o args.o ${default_clientlib} ${default_commonlib} ${default_gsslib} ${EXT_LIB} ${PLUS_EXTRA_LIB} -lm
 
 notify: notify.o
-	${LINK} -o $@ notify.o ${default_clientpluslib} ${EXT_LIB} ${PLUS_EXTRA_LIB}
+	${LINK} -o $@ notify.o ${default_clientpluslib} ${default_clientlib} ${default_commonlib} ${default_gsslib} ${EXT_LIB} ${PLUS_EXTRA_LIB}
 
 register_sandbox: %: %.o
-	${LINK} -o $@ $@.o ${default_clientlib} ${EXT_LIB} ${PLUS_EXTRA_LIB}
+	${LINK} -o $@ $@.o ${default_clientlib} ${default_commonlib} ${default_gsslib} ${EXT_LIB} ${PLUS_EXTRA_LIB}
 
 ${TOOLS} ${EXAMPLES} ${EXAMPLES_CL}: %: %.o
-	${LINK} -o $@ $< ${default_clientlib} ${default_commonlib} ${EXT_LIB} ${PLUS_EXTRA_LIB}
+	${LINK} -o $@ $< ${default_clientlib} ${default_commonlib} ${default_gsslib} ${EXT_LIB} ${PLUS_EXTRA_LIB}
 
 ${EXAMPLES_CL_THR}: %: %.o
-	${LINK} -o $@ $< ${default_clientlib_thr} ${default_commonlib_thr} ${EXT_LIB} ${PLUS_EXTRA_LIB} -lpthread
+	${LINK} -o $@ $< ${default_clientlib_thr} ${default_commonlib_thr} ${default_gsslib_thr} ${EXT_LIB} ${PLUS_EXTRA_LIB} -lpthread
 
 ${TOOLS}: ${default_clientlib}
 
@@ -384,6 +388,3 @@
 		${INSTALL} -m 755 "$$p" "${DESTDIR}${PREFIX}${prefix}/${libdir}/glite-lb/examples/glite-lb-$$p"; \
 	done
 	for p in ${EXAMPLES_SRC} ${EXAMPLES_PLUS_SRC} ${EXAMPLES_CL_SRC} ${EXAMPLES_CL_THR_SRC} ; do \
-		${INSTALL} -m 644 "${top_srcdir}/examples/$$p" "${DESTDIR}${PREFIX}${prefix}/share/doc/${package}-${version}/examples/"; \
-	done
-	${INSTALL} -m 644 ${top_srcdir}/examples/Makefile "${DESTDIR}${PREFIX}${prefix}/share/doc/${package}-${version}/examples/"

=== debian/changelog ===
glite-lb-client (6.0.7-1.git20130805) stable; urgency=low

  * Automatically generated package

 -- CESNET Product Teams <emi-lb@metacentrum.cz>  Mon, 05 Aug 2013 14:53:05 +0200

=== debian/control ===
--- 
+++ 
@@ -31,14 +31,22 @@
 Package: glite-lb-client-progs
 Section: misc
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}
 Description: gLite L&B client programs and examples
  This package contains client programs and examples for gLite L&B.
 
-Package: glite-lb-client-dbg
+Package: libglite-lb-client14-dbg
 Section: debug
 Architecture: any
 Priority: extra
 Depends: libglite-lb-client14 (= ${binary:Version}), ${misc:Depends}
-Description: gLite L&B client library debugging symbols
+Description: Debugging symbols for gLite L&B client library
  This package contains debugging symbols for gLite L&B client library.
+
+Package: glite-lb-client-progs-dbg
+Section: debug
+Architecture: any
+Priority: extra
+Depends: glite-lb-client-progs (= ${binary:Version}), ${misc:Depends}
+Description: Debugging symbols for gLite L&B client tools
+ This package contains debugging symbols for gLite L&B client tools.

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,6 @@
 
 -include /usr/share/dpkg/buildflags.mk
 
-p_dbg=glite-lb-client-dbg
 p_dev=libglite-lb-client-dev
 p_lib=libglite-lb-client14
 p_progs=glite-lb-client-progs
@@ -43,13 +42,15 @@
 	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
 	rm -vf debian/tmp/usr/lib/*.la
 	find debian/tmp -name '*' -print | xargs -I {} -i bash -c "chrpath -d {} > /dev/null 2>&1" || echo 'Stripped RPATH'
-	mkdir -p debian/$(p_dbg)/usr/share/doc/$(p_dbg)
 	mkdir -p debian/$(p_dev)/usr/share/doc/$(p_dev)
 	mkdir -p debian/$(p_progs)/usr/share/doc/$(p_progs)
-	ln -s $(p_lib) debian/$(p_dbg)/usr/share/doc/$(p_dbg)
-	mv debian/tmp/usr/share/doc/glite-lb-client-6.0.5/examples debian/$(p_dev)/usr/share/doc/$(p_dev)
-	mv debian/tmp/usr/share/doc/glite-lb-client-6.0.5/README-notify debian/$(p_progs)/usr/share/doc/$(p_progs)
-	rm -rf debian/tmp/usr/share/doc/glite-lb-client-6.0.5
+	mkdir -p debian/$(p_lib)-dbg/usr/share/doc
+	mkdir -p debian/$(p_progs)-dbg/usr/share/doc
+	ln -s $(p_lib) debian/$(p_lib)-dbg/usr/share/doc/$(p_lib)-dbg
+	ln -s $(p_lib) debian/$(p_progs)-dbg/usr/share/doc/$(p_progs)-dbg
+	mv debian/tmp/usr/share/doc/glite-lb-client-6.0.7/examples debian/$(p_dev)/usr/share/doc/$(p_dev)
+	mv debian/tmp/usr/share/doc/glite-lb-client-6.0.7/README-notify debian/$(p_progs)/usr/share/doc/$(p_progs)
+	rm -rf debian/tmp/usr/share/doc/glite-lb-client-6.0.7
 
 binary-indep:
 
@@ -63,8 +64,10 @@
 	dh_installlogrotate
 	dh_installcron
 	dh_install --fail-missing
+	dh_perl
 	dh_link
-	dh_strip --dbg-package=$(p_dbg)
+	dh_strip -p$(p_lib) --dbg-package=$(p_lib)-dbg
+	dh_strip -p$(p_progs) --dbg-package=$(p_progs)-dbg
 	dh_compress
 	dh_fixperms
 	dh_makeshlibs

## glite-lb-client 6.0.8

=== Makefile ===
--- 
+++ 
@@ -14,6 +14,7 @@
 -include ${top_srcdir}/project/version.properties
 
 version=${module.version}
+docdir?=${prefix}/share/doc/${package}-${version}
 
 # We must follow major version changes of org.glite.lb.common due to
 # binary compatibility. However, we may live a life of our own, changing our
@@ -28,7 +29,7 @@
 # - installed *.la files should be removed
 rpath?=${PREFIX}${prefix}/${libdir}
 
-VPATH=${top_srcdir}/src:${top_srcdir}/interface:${top_srcdir}/test:${top_srcdir}/examples:${top_srcdir}/doc
+VPATH=${top_srcdir}/src:${top_srcdir}/interface:${top_srcdir}/test:${top_srcdir}/examples:${top_srcdir}/doc:${top_srcdir}/project
 AT3=${stagedir}${prefix}/bin/glite-lb-at3
 GENSAM=${top_srcdir}/examples/gen_sample_job
 check_version_pl=$(shell bin_dir=${stagedir}${prefix}/bin; if test -f $${bin_dir}/glite-lb-check_version.pl; then echo $${bin_dir}; else echo ${prefix}/bin; fi)/glite-lb-check_version.pl
@@ -41,7 +42,7 @@
 	examples/*.c examples/*.l examples/*.sh examples/Makefile examples/README.examples \
 	interface/*.h interface/*.h.T \
 	m4/*.m4 \
-	project/.post* \
+	project/.post* project/*.pc.in \
 	src/*.c src/*.h src/*.T src/*.pl src/*.cpp \
 	test/*.c test/*.cpp test/*.T test/PLOT test/TEST \
 	Makefile
@@ -203,6 +204,7 @@
 
 PLUS_EXTRA_LIB:=-lglite_jobid
 
+PKG_CONFIG_FILES=client.pc clientpp.pc
 
 # version_info=-version-info `echo ${version} | cut -d. -f1,2 | tr . :`
 
@@ -219,9 +221,9 @@
 endif
 
 ifdef LB_STANDALONE
-compile all: generate ${c_LIBRARIES} ${TOOLS} logevent notify register_sandbox examples ${MAN_GZ}
-else
-compile all: check_version generate ${lib_LTLIBRARIES} ${TOOLS} logevent notify register_sandbox examples ${MAN_GZ}
+compile all: generate ${c_LIBRARIES} ${TOOLS} logevent notify register_sandbox examples ${MAN_GZ} ${PKG_CONFIG_FILES}
+else
+compile all: check_version generate ${lib_LTLIBRARIES} ${TOOLS} logevent notify register_sandbox examples ${MAN_GZ} ${PKG_CONFIG_FILES}
 endif
 
 generate: ${GEN_HDRS}
@@ -252,50 +254,44 @@
 	${LINKXX} ${version_info} -o $@ ${PLUSTHRLOBJS} -rpath ${rpath} ${THRLIB} ${PLUS_EXTRA_LIB}
 endif
 
-logevent: logevent.o args.o
+logevent: logevent.o args.o ${default_clientlib}
 	${LINK} -o $@ logevent.o args.o ${default_clientlib} ${default_commonlib} ${default_gsslib} ${EXT_LIB} ${PLUS_EXTRA_LIB} -lm
 
-notify: notify.o
+notify: notify.o ${default_clientpluslib} ${default_clientlib}
 	${LINK} -o $@ notify.o ${default_clientpluslib} ${default_clientlib} ${default_commonlib} ${default_gsslib} ${EXT_LIB} ${PLUS_EXTRA_LIB}
 
-register_sandbox: %: %.o
+register_sandbox: %: %.o ${default_clientlib}
 	${LINK} -o $@ $@.o ${default_clientlib} ${default_commonlib} ${default_gsslib} ${EXT_LIB} ${PLUS_EXTRA_LIB}
 
-${TOOLS} ${EXAMPLES} ${EXAMPLES_CL}: %: %.o
+${TOOLS} ${EXAMPLES} ${EXAMPLES_CL}: %: %.o ${default_clientlib}
 	${LINK} -o $@ $< ${default_clientlib} ${default_commonlib} ${default_gsslib} ${EXT_LIB} ${PLUS_EXTRA_LIB}
 
-${EXAMPLES_CL_THR}: %: %.o
+${EXAMPLES_CL_THR}: %: %.o ${default_clientlib_thr}
 	${LINK} -o $@ $< ${default_clientlib_thr} ${default_commonlib_thr} ${default_gsslib_thr} ${EXT_LIB} ${PLUS_EXTRA_LIB} -lpthread
 
-${TOOLS}: ${default_clientlib}
-
-${PLUSOBJS}: %.o: %.cpp
+${PLUSOBJS}: %.o: %.cpp ${GEN_HDRS}
 	${CXXCOMPILE} -c $<
 
-${PLUSTHROBJS}: %.thr.o: %.cpp
+${PLUSTHROBJS}: %.thr.o: %.cpp ${GEN_HDRS}
 	${CXXCOMPILE} -o $@ -c $<
 
-${EXAMPLES_PLUS}: ${default_clientpluslib}
-
-${EXAMPLES_PLUS}: %: %.o
+${EXAMPLES_PLUS}: %: %.o ${default_clientpluslib}
 	${LINKXX} -o $@ $< ${default_clientpluslib}
 
-${LIBOBJS}: %.o: %.c
+${LIBOBJS}: %.o: %.c ${GEN_HDRS}
 	${COMPILE} -c $<
 
-${LIBTHROBJS}: %.thr.o: %.c
+${LIBTHROBJS}: %.thr.o: %.c ${GEN_HDRS}
 	${COMPILE} -o $@ -c $<
 
-${MAN_GZ}: ${MAN}
-	rm -f ${MAN_GZ} ${MAN}
-	cp $? .
-	gzip -9 -f $(notdir $?)
+%.1.gz: %.1
+	gzip -9 -f -c $< > $@
 
 perftest_logjobs.o: perftest_logjobs.c
 	${CC} ${CFLAGS} -DLB_PERF_DROP -c $<
 
 # catches $TOOLS and logevent compilation
-%.lo %.o: %.c
+%.lo %.o: %.c ${GEN_HDRS}
 	${CC} ${CFLAGS} -c $<
 
 %.h: %.h.T
@@ -303,7 +299,7 @@
 	${AT3} $< >$@ || ( rm -f $@; false )
 	chmod -w $@ >/dev/null
 
-%.lo %.o: %.cpp
+%.lo %.o: %.cpp ${GEN_HDRS}
 	${CXX} ${CFLAGS} ${GLOBUSINC} -c $<
 
 %.c: %.c.T
@@ -322,6 +318,9 @@
 	$(GENSAM) $< >$@ || rm -f $@
 	chmod -w,+x $@ > /dev/null
 
+%.pc: %.pc.in
+	sed -e "s,@PREFIX@,${PREFIX}${prefix}," -e "s/@VERSION@/${version}/" -e "s/@LIBDIR@/${libdir}/" $< > $@
+
 examples: ${EXAMPLES} ${EXAMPLES_PLUS} ${EXAMPLES_CL} ${EXAMPLES_CL_THR} ${sh_PROGS}
 
 check: compile 
@@ -330,8 +329,8 @@
 check.producer: producer_test
 	./producer_test
 
-producer_test: producer_test.o prod_proto_test.o
-	${LINKXX} -o $@ ${default_clientlib} ${CPPUNIT_LIBS} $+ ${EXT_LIB}
+producer_test: producer_test.o prod_proto_test.o ${default_clientlib}
+	${LINKXX} -o $@ ${CPPUNIT_LIBS} $+ ${EXT_LIB}
 
 producer_test.o: %.o: %.cpp
 	${CXX} -c ${CXXFLAGS} ${CPPUNIT_CFLAGS} $<
@@ -358,8 +357,8 @@
 	mkdir -p ${DESTDIR}${PREFIX}${prefix}/bin
 	mkdir -p ${DESTDIR}${PREFIX}${prefix}/sbin
 	mkdir -p ${DESTDIR}${PREFIX}${prefix}/include/${globalprefix}/${lbprefix}
-	mkdir -p ${DESTDIR}${PREFIX}${prefix}/${libdir}
-	mkdir -p ${DESTDIR}${PREFIX}${prefix}/share/doc/${package}-${version}/examples/
+	mkdir -p ${DESTDIR}${PREFIX}${prefix}/${libdir}/pkgconfig
+	mkdir -p ${DESTDIR}${PREFIX}${docdir}/examples/
 	mkdir -p ${DESTDIR}${PREFIX}${prefix}/share/man/man1
 	mkdir -p ${DESTDIR}${PREFIX}${prefix}/${libdir}/glite-lb/examples
 	mkdir -p ${DESTDIR}${m4dir}
@@ -371,20 +370,13 @@
 		install -m 755 ${plus_LIBRARIES} ${DESTDIR}${PREFIX}${prefix}/${libdir}; \
 	fi
 endif
-	${INSTALL} -m 644 ${top_srcdir}/doc/README-notify ${DESTDIR}${PREFIX}${prefix}/share/doc/${package}-${version}
+	${INSTALL} -m 644 client.pc ${DESTDIR}${PREFIX}${prefix}/${libdir}/pkgconfig/glite-lb-client.pc
+	${INSTALL} -m 644 clientpp.pc ${DESTDIR}${PREFIX}${prefix}/${libdir}/pkgconfig/glite-lb-clientpp.pc
+	${INSTALL} -m 644 ${top_srcdir}/doc/README-notify ${DESTDIR}${PREFIX}${docdir}
 	(cd ${top_srcdir}/interface && ${INSTALL} -m 644 ${HDRS} ${DESTDIR}${PREFIX}${prefix}/include/${globalprefix}/${lbprefix}) 
 	${INSTALL} -m 644 ${GEN_HDRS} ${DESTDIR}${PREFIX}${prefix}/include/${globalprefix}/${lbprefix} 
 ifndef LB_STANDALONE
-#	cp -r C CPP ${DESTDIR}${PREFIX}${prefix}/share/doc/${package}-${version}
-#       cp -r ${top_srcdir}/doc/api/{Makefile,api.tex,fig} ${DESTDIR}${PREFIX}${prefix}/share/doc/${package}-${version}/api
+#	cp -r C CPP ${DESTDIR}${PREFIX}${docdir}
+#       cp -r ${top_srcdir}/doc/api/{Makefile,api.tex,fig} ${DESTDIR}${PREFIX}${docdir}/api
 endif
 	for p in logevent notify register_sandbox; do \
-		${INSTALL} -m 755 "$$p" "${DESTDIR}${PREFIX}${prefix}/bin/glite-lb-$$p"; \
-	done
-	for p in ${TOOLS} ; do \
-		${INSTALL} -m 755 "$$p" "${DESTDIR}${PREFIX}${prefix}/sbin/glite-lb-$$p"; \
-	done
-	for p in ${EXAMPLES} ${EXAMPLES_PLUS} ${EXAMPLES_CL} ${EXAMPLES_CL_THR} ${sh_PROGS} ; do \
-		${INSTALL} -m 755 "$$p" "${DESTDIR}${PREFIX}${prefix}/${libdir}/glite-lb/examples/glite-lb-$$p"; \
-	done
-	for p in ${EXAMPLES_SRC} ${EXAMPLES_PLUS_SRC} ${EXAMPLES_CL_SRC} ${EXAMPLES_CL_THR_SRC} ; do \

=== debian/changelog ===
glite-lb-client (6.0.8-1) stable; urgency=low

  * Automatically generated package

 -- CESNET Product Teams <emi-lb@metacentrum.cz>  Fri, 22 Nov 2013 11:57:45 +0100

=== debian/control ===
--- 
+++ 
@@ -15,9 +15,9 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: gLite Logging and Bookkeeping client library and CLI tools
- glite-lb-client is the library implementing client side of gLite LB API. This
- package contains the library, client tools and many
- examples.
+ glite-lb-client is the library implementing client side of gLite Logging and
+ Bookkeeping
+ API.
 
 Package: libglite-lb-client-dev
 Section: libdevel

=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,7 @@
 
 -include /usr/share/dpkg/buildflags.mk
 
+p_base=glite-lb-client
 p_dev=libglite-lb-client-dev
 p_lib=libglite-lb-client14
 p_progs=glite-lb-client-progs
@@ -13,7 +14,7 @@
 configure: configure-stamp
 configure-stamp:
 	dh_testdir
-	/usr/bin/perl ./configure --thrflavour= --nothrflavour= --root=/ --prefix=/usr --libdir=lib --project=emi --module lb.client
+	/usr/bin/perl ./configure --thrflavour= --nothrflavour= --root=/ --prefix=/usr --libdir=lib --docdir=/usr/share/doc/$(p_base) --project=emi --module lb.client
 	touch $@
 
 build: build-arch build-indep
@@ -48,9 +49,9 @@
 	mkdir -p debian/$(p_progs)-dbg/usr/share/doc
 	ln -s $(p_lib) debian/$(p_lib)-dbg/usr/share/doc/$(p_lib)-dbg
 	ln -s $(p_lib) debian/$(p_progs)-dbg/usr/share/doc/$(p_progs)-dbg
-	mv debian/tmp/usr/share/doc/glite-lb-client-6.0.7/examples debian/$(p_dev)/usr/share/doc/$(p_dev)
-	mv debian/tmp/usr/share/doc/glite-lb-client-6.0.7/README-notify debian/$(p_progs)/usr/share/doc/$(p_progs)
-	rm -rf debian/tmp/usr/share/doc/glite-lb-client-6.0.7
+	mv debian/tmp/usr/share/doc/$(p_base)/examples debian/$(p_dev)/usr/share/doc/$(p_dev)
+	mv debian/tmp/usr/share/doc/$(p_base)/README-notify debian/$(p_progs)/usr/share/doc/$(p_progs)
+	rm -rf debian/tmp/usr/share/doc/$(p_base)
 
 binary-indep:
